--Valores decididos pelo D-TEF
UPDATE RC_ADM_CARTAO_REDE_TEF
SET CD_D_TEF = CASE 
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Cielo%'            THEN  001
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%CooperCard%'       THEN  004
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Redecard%'         THEN  007
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Amex%'             THEN  017
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%FanCard%'          THEN  021
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%GetNet%'           THEN  022
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Banrisul%'         THEN  023
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%GetNetLAC%'        THEN  026
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Neus%'             THEN  028
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Aura%'             THEN  031
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Hipercard%'        THEN  032
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Sorocred%'         THEN  049
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%ValeRefeição%'     THEN  051
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Losango%'          THEN  054
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Softway%'          THEN  061
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%ValeCard%'         THEN  065
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Telenet%'          THEN  068
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Senffnet%'         THEN  071
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Policard%'         THEN  079
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Expansiva%'        THEN  080
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Credsystem%'       THEN  081
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Tendencia%'        THEN  090
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Ticket%'           THEN  092
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%DMCard%'           THEN  096
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%BINFirstData%'     THEN  098
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Elavon%'           THEN  111
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%LiberCard%'        THEN  117
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%GlobalPayments%'   THEN  121
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Stone%'            THEN  127
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Cabal%'            THEN  129
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Aura%'             THEN  132
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Sipag%'            THEN  136
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Sodexo%'           THEN  141
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%PlanVale%'         THEN  143
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%GreenCard%'        THEN  144
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%SafraPay%'         THEN  151
	WHEN replace(DS_REDE_TEF,' ','') LIKE '%Hagana%'           THEN  157
END;